> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ADB information

> get ADB information



## OpenAPI

````yaml post /open/api/phone/getAdbInfo
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/getAdbInfo:
    post:
      tags: []
      summary: Get ADB information
      description: get ADB information
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneGetAdbInfoVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RPhoneAdbInfoResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneGetAdbInfoVO:
      type: object
      properties:
        id:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
      required:
        - id
    RPhoneAdbInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/PhoneAdbInfoResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    PhoneAdbInfoResVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: Phone ID
          format: int64
        adbIp:
          type: string
          description: ADB server IP address
        adbPort:
          type: string
          description: ADB server port
        adbPassword:
          type: string
          description: ADB password

````